#!/bin/sh

#
# resolve symlinks
#

PRG=$0
progdir=/usr/bin
APPNAME=visualvm
BASEDIR=/usr/lib/visualvm
ARCH=`dpkg --print-architecture`

jdkhome=
for j in /usr/lib/jvm/java-6-openjdk-$ARCH /usr/lib/jvm/java-7-openjdk-$ARCH /usr/lib/jvm/java-6-sun; do
    if [ -x $j/bin/javac ]; then
	jdkhome=$j
	break
    fi
done
if [ -z "$jdkhome" ]; then
    echo >&2 "No jdkhome found"
    exit 1
fi

. "$BASEDIR/etc/$APPNAME".conf

# XXX does not correctly deal with spaces in non-userdir params
args=""

userdir="${default_userdir}"

while [ $# -gt 0 ] ; do
    case "$1" in
        --userdir) shift; if [ $# -gt 0 ] ; then userdir="$1"; fi
            ;;
        *) args="$args \"$1\""
            ;;
    esac
    shift
done

if [ -f "${userdir}/etc/$APPNAME".conf ] ; then
    . "${userdir}/etc/$APPNAME".conf
fi

readClusters() {
  if [ -x /usr/ucb/echo ]; then
    echo=/usr/ucb/echo
  else
    echo=echo
  fi
  while read X; do
    if [ "$X" \!= "" ]; then
      $echo "$BASEDIR/$X"
    fi
  done
}

clusters=`(cat "$BASEDIR/etc/$APPNAME".clusters; echo) | readClusters | tr '\012' ':'`

if [ ! -z "$extra_clusters" ] ; then
    clusters="$clusters:$extra_clusters"
fi

nbexec=`echo "$BASEDIR"/platform*/lib/nbexec`
nbexec=/usr/share/netbeans/platform13/lib/nbexec

eval exec /bin/bash '"$nbexec"' \
            --jdkhome '"$jdkhome"' \
            --branding '"$APPNAME"' \
            --clusters '"$clusters"' \
            --userdir '"${userdir}"' \
            ${default_options} \
            "$args"
